%define name gnubiff
%define version 2.2.15
%define release %mkrel 1

Summary: Mail notification program for GNOME
Name: %{name}
Version: %{version}
Release: %{release}
License: GPLv3
Group: Graphical desktop/GNOME
Source: %{name}-%{version}.tar.xz
Patch0: 01-fix-g-thread-init.patch
Patch1: 04-fix-POTFILES-in.patch
Patch2: 05-ignore-pc-dir-for-intltool.patch
URL: http://gnubiff.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires: intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gamin-1_0-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}popt-devel
BuildRequires: %{_lib}x11-devel

%description
gnubiff is a mail notification program that checks for mail, displays
headers when new mail has arrived and allow to read first lines of
new mails. It relies on the GNOME and GTK libraries but can be
compiled and used with or without GNOME support. Supported protocols
are pop3, apop, imap4, mh, qmail and mailfile. Furthermore, gnubiff
is fully configurable with a lot of options like polltime, poptime,
sounds, mail reader, etc.


%prep

%setup -q
%apply_patches

%build

%configure2_5x \
 --prefix=/usr \
 --with-password \
 --disable-gnome

%make

%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall_std 

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Internet-Mail" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT 



%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}
%{_datadir}


%changelog
* Wed Feb 19 2014 bb <bb> 2.2.15-1pclos2014
- update

* Sun Feb 07 2010 slick50 <lxgator@gmail.com> 2.2.13-1pclos2010
- initial build
